[Buildroot] [PATCH v2, 3/3] package/libarchive: add zstd optional dependency

Fabrice Fontaine fontaine.fabrice at gmail.com
Fri Feb 28 22:12:36 UTC 2020


zstd is available since version 3.3.3 and
https://github.com/libarchive/libarchive/commit/26838cf5c17642f57192753cc5c3880b16b65ba3

Signed-off-by: Fabrice Fontaine <fontaine.fabrice at gmail.com>
---
 package/libarchive/libarchive.mk | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/package/libarchive/libarchive.mk b/package/libarchive/libarchive.mk
index d07f0776a6..c3fe63526a 100644
--- a/package/libarchive/libarchive.mk
+++ b/package/libarchive/libarchive.mk
@@ -116,6 +116,12 @@ else
 LIBARCHIVE_CONF_OPTS += --without-zlib
 endif
 
+ifeq ($(BR2_PACKAGE_ZSTD),y)
+LIBARCHIVE_DEPENDENCIES += zstd
+else
+LIBARCHIVE_CONF_OPTS += --without-zstd
+endif
+
 # libarchive requires LZMA with thread support in the toolchain
 ifeq ($(BR2_TOOLCHAIN_HAS_THREADS)$(BR2_PACKAGE_XZ),yy)
 LIBARCHIVE_DEPENDENCIES += xz
@@ -141,7 +147,8 @@ HOST_LIBARCHIVE_CONF_OPTS = \
 	--without-mbedtls \
 	--without-nettle \
 	--without-openssl \
-	--without-lzma
+	--without-lzma \
+	--without-zstd
 
 $(eval $(autotools-package))
 $(eval $(host-autotools-package))
-- 
2.25.0



More information about the buildroot mailing list